Bug 311446 - setCurrentTitle called too early
Summary: setCurrentTitle called too early
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playback (show other bugs)
Version: 2.6.0
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks: 305708 308084
  Show dependency treegraph
 
Reported: 2012-12-10 00:37 UTC by Harald Sitter
Modified: 2013-01-10 22:45 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Sitter 2012-12-10 00:37:30 UTC
PHONON-VLC   BEGIN: void Phonon::VLC::MediaController::setCurrentTitle(int) 
PHONON-VLC     title: 3 
PHONON-VLC     No media or no subitems :( 
PHONON-VLC   END__: void Phonon::VLC::MediaController::setCurrentTitle(int) [Took: 0s] 
PHONON-VLC END__: virtual QVariant Phonon::VLC::MediaController::interfaceCall(Phonon::AddonInterface::Interface, int, const QList<QVariant>&) [Took: 0s] 
PHONON-VLC BEGIN: virtual void Phonon::VLC::MediaObject::play() 
PHONON-VLC   BEGIN: void Phonon::VLC::MediaObject::setupMedia() 
PHONON-VLC     BEGIN: void Phonon::VLC::MediaController::resetMembers() 
PHONON-VLC     END__: void Phonon::VLC::MediaController::resetMembers() [Took: 0s] 
PHONON-VLC     BEGIN: void Phonon::VLC::MediaController::resetMembers() 
PHONON-VLC     END__: void Phonon::VLC::MediaController::resetMembers() [Took: 0s] 
PHONON-VLC   END__: void Phonon::VLC::MediaObject::setupMedia() [Took: 0s] 

as described in another bug you should really pause and then apply stuff there and once done switch to playing. in this particular instance resetting of the MO is done in a lazy fashion (resetting is not viable up until play is called as setting a source is async to what is playing right now...) so audio cd playback will not work with phonon vlc as it is right now as the value you set before play is discarded at play.


Reproducible: Always
Comment 1 Matěj Laitl 2012-12-12 16:00:31 UTC
Thanks for reporting, indeed another pearl of our EngineController mess. Will try to have a look at it before 2.7 final, although I fear the fix won't be easy/regression-worry-free.
Comment 2 Matěj Laitl 2013-01-10 22:45:45 UTC
Git commit 090070dfe700552a89de3b35cdd6e5bada799fad by Matěj Laitl.
Committed on 10/01/2013 at 23:30.
Pushed by laitl into branch 'master'.

EngineController: various Audio CD playback fixes

BUGFIXES:
 * Various improvements that should result in more stable Audio CD
   playback.

Many things originally pointed out by Harald, our lord-president.
Related: bug 305708, bug 308084
FIXED-IN: 2.7
DIGEST: Amarok resurrects Audio CD playback, at least with phonon-gstreamer

M  +2    -0    ChangeLog
M  +1    -0    src/CMakeLists.txt
M  +43   -114  src/EngineController.cpp
M  +1    -29   src/EngineController.h
A  +87   -0    src/playback/DelayedDoers.cpp     [License: GPL (v2+)]
A  +97   -0    src/playback/DelayedDoers.h     [License: GPL (v2+)]

http://commits.kde.org/amarok/090070dfe700552a89de3b35cdd6e5bada799fad